<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/5_mission/dayzexpansion/gui/serverbrowsermenu/serverbrowsermenunew.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/de9/a02591_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">serverbrowsermenunew.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/de9/a02591.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ServerBrowserMenuNew.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2">   13</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2">ExpansionTabType</a>: TabType</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2a1ea328a644e627283a35716a54108248">   15</a></span>    <a class="code hl_enumvalue" href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2a1ea328a644e627283a35716a54108248">DIRECT</a>,</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <a class="code hl_enumvalue" href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2a3bf18f494c2c28fde7cc5f5ca2057c18">EXPANSION</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2a3bf18f494c2c28fde7cc5f5ca2057c18">   17</a></span>}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>modded <span class="keyword">class </span>ServerBrowserMenuNew</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#ad555a273c5c45a605d3dfbb87c86d425">   21</a></span>    <span class="keyword">protected</span> ref ExpansionDirectConnectTab <a class="code hl_variable" href="../../d1/de9/a02591.html#ad555a273c5c45a605d3dfbb87c86d425">m_DirectTab</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#aba52b0a4756cc8f6eef5e0ea00186e40">   23</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/de9/a02591.html#aba52b0a4756cc8f6eef5e0ea00186e40">EXPANSION_DIRECT_TAB_INDEX</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#a4ef86aa9bd6a59cf9155565c7beff39f">   24</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d1/de9/a02591.html#a4ef86aa9bd6a59cf9155565c7beff39f">m_IsDirect</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">// Override Init</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#ab212fc3a61460b771a18d71f052d31e8">   29</a></span>    <span class="keyword">override</span> Widget <a class="code hl_function" href="../../d1/d44/a00098.html#a8045e088b31fe0754fb20cb0a5ff0dc9">Init</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        layoutRoot = super.Init();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d1/de9/a02591.html#aba52b0a4756cc8f6eef5e0ea00186e40">EXPANSION_DIRECT_TAB_INDEX</a> = m_Tabber.AddTab(<span class="stringliteral">&quot;DIRECT&quot;</span>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d1/de9/a02591.html#ad555a273c5c45a605d3dfbb87c86d425">m_DirectTab</a> = <span class="keyword">new</span> ExpansionDirectConnectTab(layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;Tab_&quot;</span> + <a class="code hl_variable" href="../../d1/de9/a02591.html#aba52b0a4756cc8f6eef5e0ea00186e40">EXPANSION_DIRECT_TAB_INDEX</a>), <span class="keyword">this</span>, <a class="code hl_enumeration" href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2">ExpansionTabType</a>.DIRECT);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordtype">string</span> version;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        GetGame().GetVersion( version );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordtype">string</span> expansion_version;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        expansion_version = GetDayZGame().GetExpansionClientVersion();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_variable" href="../../d7/d22/a01514.html#a4976998130d19dd2723422f210a84465">m_Version</a>.SetText( <span class="stringliteral">&quot;DayZ SA #main_menu_version&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + version + <span class="stringliteral">&quot;   DayZ Expansion #main_menu_version&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + expansion_version );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> layoutRoot;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">// Override GetSelectedTab</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#a65e2fc3010260be49710146b5b32025a">   49</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d9/d4c/a06817.html">ServerBrowserTab</a> <a class="code hl_function" href="../../d1/de9/a02591.html#a65e2fc3010260be49710146b5b32025a">GetSelectedTab</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">switch</span> (m_Tabber.GetSelectedIndex())</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d1/de9/a02591.html#aba52b0a4756cc8f6eef5e0ea00186e40">EXPANSION_DIRECT_TAB_INDEX</a>:</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                <a class="code hl_function" href="../../d1/de9/a02591.html#a7409cf82d4f514853fa4b72a742298f7">IsInDirect</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/de9/a02591.html#ad555a273c5c45a605d3dfbb87c86d425">m_DirectTab</a>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_function" href="../../d1/de9/a02591.html#a7409cf82d4f514853fa4b72a742298f7">IsInDirect</a>(<span class="keyword">false</span>);<span class="comment"></span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="comment">        //! Returning super.GetSelectedTab() directly returns NULL for some reason!?!</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment">        //! Assigning to local var first then returning that works.</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="comment"></span>        <a class="code hl_class" href="../../d9/d4c/a06817.html">ServerBrowserTab</a> tab = super.GetSelectedTab();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> tab;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">// Override Refresh</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#a3056ff926528b94b606ba7e8617dda3d">   70</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/df3/a09006.html#a1247a5dc710288c0c520ff3500ba6dbd">Refresh</a>()</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        super.Refresh();</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordtype">string</span> version;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        GetGame().GetVersion( version );</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordtype">string</span> expansion_version;   </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> ( GetDayZGame() )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            expansion_version = GetDayZGame().GetExpansionClientVersion();</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <a class="code hl_variable" href="../../d7/d22/a01514.html#a4976998130d19dd2723422f210a84465">m_Version</a>.SetText( <span class="stringliteral">&quot;DayZ SA #main_menu_version&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + version + <span class="stringliteral">&quot;   DayZ Expansion #main_menu_version&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + expansion_version );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <a class="code hl_variable" href="../../d7/d22/a01514.html#a4976998130d19dd2723422f210a84465">m_Version</a>.SetText( <span class="stringliteral">&quot;DayZ SA #main_menu_version&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + version );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="comment">// Expansion ShowPlayPanel</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#a7409cf82d4f514853fa4b72a742298f7">   92</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de9/a02591.html#a7409cf82d4f514853fa4b72a742298f7">IsInDirect</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_variable" href="../../d1/de9/a02591.html#a4ef86aa9bd6a59cf9155565c7beff39f">m_IsDirect</a> = state;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">// Expansion ConnectDirect</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#a2346983939d1a32bb6a18a6453792dff">  100</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de9/a02591.html#a2346983939d1a32bb6a18a6453792dff">ConnectDirect</a>()</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordtype">string</span> ip;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordtype">int</span> port;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordtype">int</span> connected;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        ip = <a class="code hl_variable" href="../../d1/de9/a02591.html#ad555a273c5c45a605d3dfbb87c86d425">m_DirectTab</a>.GetIP();</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        port = <a class="code hl_variable" href="../../d1/de9/a02591.html#ad555a273c5c45a605d3dfbb87c86d425">m_DirectTab</a>.GetPort();</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">if</span> (ip &amp;&amp; port)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            GetGame().SetProfileString(<span class="stringliteral">&quot;ExpansionDirectConnectIP&quot;</span>, ip);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            GetGame().SetProfileString(<span class="stringliteral">&quot;ExpansionDirectConnectPort&quot;</span>, port.ToString());</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            GetGame().SaveProfile();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            g_Game.ConnectFromServerBrowser( ip, port, <span class="stringliteral">&quot;&quot;</span> );</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( !ip || !port )</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            GetGame().GetUIManager().ShowDialog( <span class="stringliteral">&quot;#STR_EXPANSION_DIRECT_CONNECT_DIALOG_TITLE&quot;</span>, <span class="stringliteral">&quot;#STR_EXPANSION_DIRECT_CONNECT_ERROR&quot;</span>, <a class="code hl_variable" href="../../de/d5d/a08769.html#ae6e07f74247fbeef2e741fd4dee2c89a">EXPANSION_IDC_Int_DIRECT</a>, DBT_OK, DBB_NONE, DMT_INFO, GetGame().GetUIManager().GetMenu() );</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    <span class="comment">// Override OnClick</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../d1/de9/a02591.html#aee6a27cad085ec84d5f5dbb765b63b53">  126</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/dea/a02585.html#aee6a27cad085ec84d5f5dbb765b63b53">OnClick</a>( Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">if</span> (button == MouseState.LEFT)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            <span class="keywordflow">if</span> (w == m_Play)</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d1/de9/a02591.html#a4ef86aa9bd6a59cf9155565c7beff39f">m_IsDirect</a>)</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                    <a class="code hl_function" href="../../d1/de9/a02591.html#a2346983939d1a32bb6a18a6453792dff">ConnectDirect</a>();</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>                }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">return</span> super.OnClick(w, x, y, button);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>}</div>
<div class="ttc" id="aa00098_html_a8045e088b31fe0754fb20cb0a5ff0dc9"><div class="ttname"><a href="../../d1/d44/a00098.html#a8045e088b31fe0754fb20cb0a5ff0dc9">Init</a></div><div class="ttdeci">class ExpansionCraftFloorKit extends RecipeBase Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d44/a00098_source.html#l00016">expansioncraftfloorkit.c:98</a></div></div>
<div class="ttc" id="aa01514_html_a4976998130d19dd2723422f210a84465"><div class="ttname"><a href="../../d7/d22/a01514.html#a4976998130d19dd2723422f210a84465">m_Version</a></div><div class="ttdeci">enum ExpansionMarketTraderBuySell m_Version</div></div>
<div class="ttc" id="aa02585_html_aee6a27cad085ec84d5f5dbb765b63b53"><div class="ttname"><a href="../../d0/dea/a02585.html#aee6a27cad085ec84d5f5dbb765b63b53">OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00152">modsmenusimple.c:152</a></div></div>
<div class="ttc" id="aa02591_html_a2346983939d1a32bb6a18a6453792dff"><div class="ttname"><a href="../../d1/de9/a02591.html#a2346983939d1a32bb6a18a6453792dff">ConnectDirect</a></div><div class="ttdeci">void ConnectDirect()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a02591_source.html#l00100">serverbrowsermenunew.c:100</a></div></div>
<div class="ttc" id="aa02591_html_a4ef86aa9bd6a59cf9155565c7beff39f"><div class="ttname"><a href="../../d1/de9/a02591.html#a4ef86aa9bd6a59cf9155565c7beff39f">m_IsDirect</a></div><div class="ttdeci">protected bool m_IsDirect</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a02591_source.html#l00024">serverbrowsermenunew.c:24</a></div></div>
<div class="ttc" id="aa02591_html_a65e2fc3010260be49710146b5b32025a"><div class="ttname"><a href="../../d1/de9/a02591.html#a65e2fc3010260be49710146b5b32025a">GetSelectedTab</a></div><div class="ttdeci">override ServerBrowserTab GetSelectedTab()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a02591_source.html#l00049">serverbrowsermenunew.c:49</a></div></div>
<div class="ttc" id="aa02591_html_a7409cf82d4f514853fa4b72a742298f7"><div class="ttname"><a href="../../d1/de9/a02591.html#a7409cf82d4f514853fa4b72a742298f7">IsInDirect</a></div><div class="ttdeci">void IsInDirect(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a02591_source.html#l00092">serverbrowsermenunew.c:92</a></div></div>
<div class="ttc" id="aa02591_html_aba52b0a4756cc8f6eef5e0ea00186e40"><div class="ttname"><a href="../../d1/de9/a02591.html#aba52b0a4756cc8f6eef5e0ea00186e40">EXPANSION_DIRECT_TAB_INDEX</a></div><div class="ttdeci">protected int EXPANSION_DIRECT_TAB_INDEX</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a02591_source.html#l00023">serverbrowsermenunew.c:23</a></div></div>
<div class="ttc" id="aa02591_html_ac114bc833ee6820805f2f04ab00a7ca2"><div class="ttname"><a href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2">ExpansionTabType</a></div><div class="ttdeci">ExpansionTabType</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a02591_source.html#l00013">serverbrowsermenunew.c:14</a></div></div>
<div class="ttc" id="aa02591_html_ac114bc833ee6820805f2f04ab00a7ca2a1ea328a644e627283a35716a54108248"><div class="ttname"><a href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2a1ea328a644e627283a35716a54108248">DIRECT</a></div><div class="ttdeci">@ DIRECT</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a02591_source.html#l00015">serverbrowsermenunew.c:15</a></div></div>
<div class="ttc" id="aa02591_html_ac114bc833ee6820805f2f04ab00a7ca2a3bf18f494c2c28fde7cc5f5ca2057c18"><div class="ttname"><a href="../../d1/de9/a02591.html#ac114bc833ee6820805f2f04ab00a7ca2a3bf18f494c2c28fde7cc5f5ca2057c18">EXPANSION</a></div><div class="ttdeci">@ EXPANSION</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de9/a02591_source.html#l00017">serverbrowsermenunew.c:16</a></div></div>
<div class="ttc" id="aa02591_html_ad555a273c5c45a605d3dfbb87c86d425"><div class="ttname"><a href="../../d1/de9/a02591.html#ad555a273c5c45a605d3dfbb87c86d425">m_DirectTab</a></div><div class="ttdeci">enum ExpansionTabType m_DirectTab</div></div>
<div class="ttc" id="aa06817_html"><div class="ttname"><a href="../../d9/d4c/a06817.html">ServerBrowserTab</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d61/a02588_source.html#l00013">expansiondirectconnecttab.c:14</a></div></div>
<div class="ttc" id="aa08769_html_ae6e07f74247fbeef2e741fd4dee2c89a"><div class="ttname"><a href="../../de/d5d/a08769.html#ae6e07f74247fbeef2e741fd4dee2c89a">EXPANSION_IDC_Int_DIRECT</a></div><div class="ttdeci">const int EXPANSION_IDC_Int_DIRECT</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00131">expansionconstants.c:131</a></div></div>
<div class="ttc" id="aa09006_html_a1247a5dc710288c0c520ff3500ba6dbd"><div class="ttname"><a href="../../da/df3/a09006.html#a1247a5dc710288c0c520ff3500ba6dbd">Refresh</a></div><div class="ttdeci">override void Refresh()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df3/a09006_source.html#l00608">mainmenu.c:608</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_7771e0deaa939e0ec7392437d1db5abe.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_e6b874dcc79585be9ae58f69d312f454.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_78b620f48df13eefb9608a423ebd6872.html">gui</a></li><li class="navelem"><a class="el" href="../../dir_5ab3710cd62e86f65fdae3a27a85bdd5.html">serverbrowsermenu</a></li><li class="navelem"><a class="el" href="../../d1/de9/a02591.html">serverbrowsermenunew.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
